package com.fs.watch.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备物料种类对象 device_materials_type
 *
 * @author fs
 * @date 2024-08-27
 */
public class DeviceMaterialsType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String materialsName;


    /**
     * 货号
     */
    @Excel(name = "货号")
    private String number;


    /** 货号 */
    @Excel(name = "生产厂家")
    private String factory;

    /**
     * 是否已删除
     */
//    @Excel(name = "是否已删除")
    private Long isDel;

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }


    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMaterialsName(String materialsName) {
        this.materialsName = materialsName;
    }

    public String getMaterialsName() {
        return materialsName;
    }

    public void setIsDel(Long isDel) {
        this.isDel = isDel;
    }

    public Long getIsDel() {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("materialsName", getMaterialsName())
                .append("number", getNumber())
                .append("factory", getFactory())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("isDel", getIsDel())
                .toString();
    }
}
